# OutputFormat

class xsdata.models.config.OutputFormat(value='dataclasses', repr=True, eq=True, order=False, unsafe_hash=False, frozen=False, slots=False, kw_only=False)

  Output format options.

  Parameters:

    - value (`str`) – Output format name

    - repr (`bool`) – Generate __repr__ method

    - eq (`bool`) – Generate __eq__ method

    - order (`bool`) – Generate __lt__, __le__, __gt__, and __ge__ methods

    - unsafe_hash (`bool`) – Generate __hash__ method if not frozen

    - frozen (`bool`) – Enable read only properties

    - slots (`bool`) – Enable __slots__, python>=3.10 Only

    - kw_only (`bool`) – Enable keyword only arguments, python>=3.10 Only

  __eq__(other)

    Return self==value.

  __hash__ = None